net.minecraft.client.renderer.tileentity

## Class TileEntityRendererDispatcher

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntityRendererDispatcher

-     public class TileEntityRendererDispatcher
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `World` | `field_147550_f`
    `EntityLivingBase` | `field_147551_g`
    `TextureManager` | `field_147553_e`
    `double` | `field_147558_l`
    `double` | `field_147560_j`
    `double` | `field_147561_k`
    `float` | `field_147562_h`
    `float` | `field_147563_i`
    `static TileEntityRendererDispatcher` | `instance`
    `java.util.Map` | `mapSpecialRenderers`
    `static double` | `staticPlayerX`
    `static double` | `staticPlayerY`
    `static double` | `staticPlayerZ`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheActiveRenderInfo(World p_147542_1_, TextureManager p_147542_2_, FontRenderer p_147542_3_, EntityLivingBase p_147542_4_, float p_147542_5_)`
    `void` | `func_147543_a(World p_147543_1_)`
    `FontRenderer` | `getFontRenderer()`
    `TileEntitySpecialRenderer` | `getSpecialRenderer(TileEntity p_147547_1_)`
    `TileEntitySpecialRenderer` | `getSpecialRendererByClass(java.lang.Class p_147546_1_)`
    `boolean` | `hasSpecialRenderer(TileEntity p_147545_1_)`
    `void` | `renderTileEntity(TileEntity p_147544_1_, float p_147544_2_)`
    `void` | `renderTileEntityAt(TileEntity p_147549_1_, double p_147549_2_, double p_147549_4_, double p_147549_6_, float p_147549_8_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapSpecialRenderers

          public java.util.Map mapSpecialRenderers

    - #### instance

          public static TileEntityRendererDispatcher instance

    - #### staticPlayerX

          public static double staticPlayerX

    - #### staticPlayerY

          public static double staticPlayerY

    - #### staticPlayerZ

          public static double staticPlayerZ

    - #### field_147553_e

          public TextureManager field_147553_e

    - #### field_147550_f

          public World field_147550_f

    - #### field_147551_g

          public EntityLivingBase field_147551_g

    - #### field_147562_h

          public float field_147562_h

    - #### field_147563_i

          public float field_147563_i

    - #### field_147560_j

          public double field_147560_j

    - #### field_147561_k

          public double field_147561_k

    - #### field_147558_l

          public double field_147558_l

  - ### Method Detail

    - #### getSpecialRendererByClass

          public TileEntitySpecialRenderer getSpecialRendererByClass(java.lang.Class p_147546_1_)

    - #### hasSpecialRenderer

          public boolean hasSpecialRenderer(TileEntity p_147545_1_)

    - #### getSpecialRenderer

          public TileEntitySpecialRenderer getSpecialRenderer(TileEntity p_147547_1_)

    - #### cacheActiveRenderInfo

          public void cacheActiveRenderInfo(World p_147542_1_,
                                   TextureManager p_147542_2_,
                                   FontRenderer p_147542_3_,
                                   EntityLivingBase p_147542_4_,
                                   float p_147542_5_)

    - #### renderTileEntity

          public void renderTileEntity(TileEntity p_147544_1_,
                              float p_147544_2_)

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity p_147549_1_,
                                double p_147549_2_,
                                double p_147549_4_,
                                double p_147549_6_,
                                float p_147549_8_)

    - #### func_147543_a

          public void func_147543_a(World p_147543_1_)

    - #### getFontRenderer

          public FontRenderer getFontRenderer()